%define module  Test-Perl-Critic
%define name    perl-%{module}
%define version 1.01
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Use Perl::Critic in test programs
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Test/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(Perl::Critic)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description 
Test::Perl::Critic wraps the Perl::Critic engine in a convenient subroutine
suitable for test programs written using the Test::More framework. This makes
it easy to integrate coding-standards enforcement into the build process. For
ultimate convenience (at the expense of some flexibility), see the criticism
pragma.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL Changes LICENSE README
%{perl_vendorlib}/Test
%{_mandir}/*/*




%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.01-1mdv2008.1
+ Revision: 140721
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Feb 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2007.0
+ Revision: 120201
- new version

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2007.1
+ Revision: 84368
- new release

* Thu Nov 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2007.0
+ Revision: 79420
- Import perl-Test-Perl-Critic

* Sun Nov 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2007.1
- first mdv release

